lkml.org 
[lkml]   [2011]   [Nov]   [21]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH 1/2] merge_config.sh: use signal names compatible with dash and bash
Date
The SIGHUP SIGINT and SIGTERM names caused failures when running
merge_config.sh with the dash shell. Dropping the "SIG" component
makes the script work in both bash and dash.

Signed-off-by: Darren Hart <dvhart@linux.intel.com>
---
scripts/kconfig/merge_config.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/kconfig/merge_config.sh b/scripts/kconfig/merge_config.sh
index 890276b..b91015d 100755
--- a/scripts/kconfig/merge_config.sh
+++ b/scripts/kconfig/merge_config.sh
@@ -24,7 +24,7 @@ clean_up() {
rm -f $TMP_FILE
exit
}
-trap clean_up SIGHUP SIGINT SIGTERM
+trap clean_up HUP INT TERM

usage() {
echo "Usage: $0 [OPTIONS] [CONFIG [...]]"
--
1.7.6.4


\
 
 \ /
  Last update: 2011-11-21 20:45    [W:1.178 / U:0.372 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site